Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 929005 (awestruct) - Review Request: rubygem-awestruct - A framework for creating static HTML sites
Summary: Review Request: rubygem-awestruct - A framework for creating static HTML sites
Keywords:
Status: CLOSED NOTABUG
Alias: awestruct
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 982679
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-03-29 01:29 UTC by Dan Allen
Modified: 2014-07-25 03:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-17 18:05:20 UTC


Attachments (Terms of Use)

Description Dan Allen 2013-03-29 01:29:21 UTC
Repository: https://github.com/awestruct/rubygem-awestruct-rpm
Spec URL: https://raw.github.com/awestruct/rubygem-awestruct-rpm/master/rubygem-awestruct.spec
SRPM URL: https://github.com/awestruct/rubygem-awestruct-rpm/raw/master/srpms/rubygem-awestruct-0.5.0-1.fc18.src.rpm
Description: Awestruct is a framework for creating static HTML sites.
Fedora Account System Username: mojavelinux

Note that this package depends on the acceptance of the rubygem-bootstrap-sass package tracked by: https://bugzilla.redhat.com/show_bug.cgi?id=920436

Comment 1 Will Benton 2013-11-01 19:32:34 UTC
There are a couple of issues with this package so far:

1.  Missing BuildRequires (some of these were given as Requires):  git, js, coffee-script, nokogiri, rubygem-git, rubygem-compass, rubygem-compass-960-plugin, rubygem-bootstrap-sass, rubygem-asciidoctor, rubygems-devel, rubygem-coffee-script, rubygem-hashery, rubygem-RedCloth, rubygem-slim, rubygem-redcarpet, rubygem-rdiscount, rubygem-mustache, rubygem-uglifier.
2.  spec/config_spec.rb requires both a Rakefile and a Gemfile in order to pass under rpmbuild (it still doesn't pass under mock and I'm trying to figure out why)

I've updated the spec with these changes (and a version bump); my revised version is here:  https://gist.github.com/willb/7270668.  Once you've fixed the test suite running under mock (either by figuring out where it's going wrong or by disabling config_spec.rb), send me an updated spec and I'll resume the review.

Thanks!

Comment 2 Will Benton 2013-12-10 17:55:38 UTC
This review is stalled; I'd appreciate a response soon.

Comment 3 Will Benton 2013-12-17 18:05:20 UTC
I'm closing this bug per the stalled package review process.  If someone else wants to pick it up, let me know and I'll review it.


Note You need to log in before you can comment on or make changes to this bug.